library IEEE;
use IEEE.std_logic_1164.all;

entity binary_to_LED is
    port (
        D: in STD_LOGIC_VECTOR (3 downto 0);
        S: out STD_LOGIC_VECTOR (6 downto 0)
    );
end binary_to_LED;

architecture binary_to_LED_arch of binary_to_LED is
begin
  process(D)
  begin
       if (D = X"0") then    -- 0
        S <= "1110111";
      elsif (D = X"1") then -- 1
        S <= "0010010";
      elsif (D = X"2") then -- 2
        S <= "1011101";
      elsif (D = X"3") then -- 3
        S <= "1011011";
      elsif (D = X"4") then -- 4
        S <= "0111010";
      elsif (D = X"5") then -- 5
        S <= "1101011";
      elsif (D = X"6") then -- 6
        S <= "1101111";
      elsif (D = X"7") then -- 7
        S <= "1010010";
      elsif (D = X"8") then -- 8
        S <= "1111111";
      elsif (D = X"9") then -- 9
        S <= "1111011";
      elsif (D = X"A") then -- 10/A
        S <= "1111110";
      elsif (D = X"B") then -- 11/b
        S <= "0101111";
      elsif (D = X"C") then -- 12/C
        S <= "1100101";
      elsif (D = X"D") then -- 13/d
        S <= "0011111";
      elsif (D = X"E") then -- 14/E
        S <= "1101101";
      else                 -- 15/F
        S <= "1101100";
              
      end if;
  end process;
  
end binary_to_LED_arch;
